Package net.shibboleth.profile.context

# Class AuditContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.profile.context.AuditContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class AuditContext extends BaseContext
`BaseContext` containing information to preserve for auditing/logging.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Multimap<String,String>`
`fieldMap`
Extensible map of arbitrary field to data mappings.

## Constructor Summary

Constructors
Constructor
Description
`AuditContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Multimap<String,String>`
`getFields()`
Get a live view of the map of field/data mappings.
`Collection<String>`
`getFieldValues(String field)`
Get a live collection of values associated with a field.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### fieldMap

@Nonnull private Multimap<String,String> fieldMap
Extensible map of arbitrary field to data mappings.

## Constructor Details

### AuditContext

public AuditContext()
Constructor.

## Method Details

### getFields

@Nonnull @Live public Multimap<String,String> getFields()
Get a live view of the map of field/data mappings.

Returns:
  field/data mappings

### getFieldValues

@Nonnull @Live public Collection<String> getFieldValues(@Nonnull @NotEmpty String field)
Get a live collection of values associated with a field.

Parameters:
  `field` - field to retrieve
Returns:
  the field's values